package com.steerinfo.baseinfo.meterbasepredictiondiff.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.meterbasepredictiondiff.model.MeterBasePredictionDiff;

/**
 * MeterBasePredictionDiff服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-06-18 02:08
 * 类描述
 * 修订历史：
 * 日期：2020-06-18
 * 作者：generator
 * 参考：
 * 描述：MeterBasePredictionDiff服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBasePredictionDiffService extends IBaseService<MeterBasePredictionDiff, String>{
     String checkandadd(MeterBasePredictionDiff model);

     String Recovery(MeterBasePredictionDiff model);

     String checkandupdate(String id,MeterBasePredictionDiff model);

     String abolish(MeterBasePredictionDiff model);
}